Bug 8422 - Add support for linux-libc-headers
: Add support for linux-libc-headers
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/kernel-headers-common)
: unstable
: all Linux
: P2 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-11-05 18:57 by
Modified: 2009-05-10 09:32 (History)


Attachments
adjust_kernel_headers.diff (740 bytes, patch)
2005-11-05 19:00, Konstantin A Lepikhov (L.A. Kostis)
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-11-05 18:57:53
Было бы неплохо сделать, т.к. без этого пакет linux-libc-headers бесполезен и
совершенно не годится как замена kernel-headers-std26-up.
------- Comment #1 From 2005-11-05 19:00:39 -------
Created an attachment (id=1231) [details]
adjust_kernel_headers.diff

патч для поддержки libc-headers
------- Comment #2 From 2005-12-02 23:51:41 -------
Fixed in kernel-headers-common-1.1.6-alt1.

Только в %post и %postun у пакета linux-libc-headers должно быть:

[ -x %_sbindir/adjust_kernel_headers ] && %_sbindir/adjust_kernel_headers ||:

Вообще это макросы %post_kernel_headers и %postun_kernel_headers, но они лежат в
пакете kernel-build-tools, и им предполагалось передавать ещё и версию ядра,
которое устанавливается/удаляется, но сейчас этот параметр не используется.  В
принципе можно написать %post_kernel_headers libc-headers.
------- Comment #3 From 2006-01-07 01:13:37 -------
Хорошо бы ещё поменять '==' в if'е на '=', а то bash'измы...
------- Comment #4 From 2006-01-07 01:28:54 -------
== не найдено. Где ты их там увидел?

PS Большие bash'измы - это popd/pushd ;)
------- Comment #5 From 2006-01-07 01:32:05 -------
nevermind. это я не туда посмотрел - думал, что про llh разговор. Но resolution
менять не буду, IMHO пока это не горит.
------- Comment #6 From 2008-02-15 23:48:09 -------
Всё ещё не горит? :)
------- Comment #7 From 2008-02-15 23:56:26 -------
Мало того, что там всё давным-давно исправлено (в 1.1.7-alt1 и башизм
подчищен),
так и пакет linux-libc-headers с того времени успел помереть.
------- Comment #8 From 2008-02-15 23:58:13 -------
Так это же замечательно!